------------------------------------------------------
-- GFWUtils.lua
-- Version 3.0
-- Useful utility / debug functions
------------------------------------------------------

GFW_FONT_COLOR = {r=0.25, g=1.0, b=1.0};
GFW_DEBUG_COLOR = {r=1.0, g=0.75, b=0.25};

if (GFWUtils == nil) then
	GFWUtils = {};
end

if (GFWUtils.Debug == nil) then
	GFWUtils.Debug = false;
end

if (GFWUtils.Hilite == nil) then
	GFWUtils.Hilite = function(text)
		return HIGHLIGHT_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
	end;
end

if (GFWUtils.Red == nil) then
	GFWUtils.Red = function(text)
		return RED_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
	end;
end

if (GFWUtils.Gray == nil) then
	GFWUtils.Gray = function(text)
		return GRAY_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
	end;
end

if (GFWUtils.LtY == nil) then
	GFWUtils.LtY = function(text)
		return LIGHTYELLOW_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
	end;
end

if (GFWUtils.Print == nil) then
	GFWUtils.Print = function(message)
		DEFAULT_CHAT_FRAME:AddMessage(message, GFW_FONT_COLOR.r, GFW_FONT_COLOR.g, GFW_FONT_COLOR.b);
	end;
end

if (GFWUtils.DebugLog == nil) then
	GFWUtils.DebugLog = function(message)
		if (GFWUtils.Debug) then
			DEFAULT_CHAT_FRAME:AddMessage(message, GFW_DEBUG_COLOR.r, GFW_DEBUG_COLOR.g, GFW_DEBUG_COLOR.b);
		end
	end;
end

if (GFWUtils.Note == nil) then
	GFWUtils.Note = function(message)
		UIErrorsFrame:AddMessage(message, 1.0, 1.0, 0.0, 1.0, UIERRORS_HOLD_TIME);
	end;
end
